#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_with	tests	# unit tests (require LDAP server)

Summary:	LDAP client API for Python 2
Summary(pl.UTF-8):	API klienckie LDAP dla Pythona 2
Name:		python-ldap
Version:	3.3.1
Release:	10
Epoch:		1
License:	Python-like
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/python-ldap/
Source0:	https://files.pythonhosted.org/packages/source/p/python-ldap/%{name}-%{version}.tar.gz
# Source0-md5:	7608579722c491e42f5f63b3f88a95fb
URL:		http://python-ldap.sourceforge.net/
BuildRequires:	cyrus-sasl-devel >= 2.1.0
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
%if %{with tests}
BuildRequires:	openldap >= 2.4.6
BuildRequires:	openldap-servers >= 2.4.6
%endif
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pyasn1 >= 0.3.7
BuildRequires:	python-pyasn1_modules >= 0.1.5
%endif
%endif
%if %{with python2}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pyasn1 >= 0.3.7
BuildRequires:	python3-pyasn1_modules >= 0.1.5
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
Provides:	ldapmodule
Obsoletes:	ldapmodule < 1.10
Obsoletes:	python-ldapmodule < 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs. Mainly it wraps the OpenLDAP client libs
for that purpose.

Additionally the package contains modules for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 sub-schema, etc.).

%description -l pl.UTF-8
Moduł python-ldap dostarcza zorientowane obiektowo API pozwalające na
dostęp do usług katalogowych LDAP z poziomu programów w Pythonie.
Głównie obudowuje w tym celu biblioteki klienckie OpenLDAP.

Dodatkowo pakiet zawiera moduły do innych zadań związanych z LDAP (jak
przetwarzanie LDIF, LDAPURL, podschematy LDAPv3 itp.).

%package -n python-slapdtest
Summary:	Module for spawning test instances of OpenLDAP's slapd server
Summary(pl.UTF-8):	Moduł do uruchamiania testowych instancji serwera slapd OpenLDAP
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-slapdtest
Module for spawning test instances of OpenLDAP's slapd server.

%description -n python-slapdtest -l pl.UTF-8
Moduł do uruchamiania testowych instancji serwera slapd OpenLDAP.

%package -n python3-ldap
Summary:	LDAP client API for Python 3
Summary(pl.UTF-8):	API klienckie LDAP dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-ldap
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs. Mainly it wraps the OpenLDAP client libs
for that purpose.

Additionally the package contains modules for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 sub-schema, etc.).

%description -n python3-ldap -l pl.UTF-8
Moduł python-ldap dostarcza zorientowane obiektowo API pozwalające na
dostęp do usług katalogowych LDAP z poziomu programów w Pythonie.
Głównie obudowuje w tym celu biblioteki klienckie OpenLDAP.

Dodatkowo pakiet zawiera moduły do innych zadań związanych z LDAP (jak
przetwarzanie LDIF, LDAPURL, podschematy LDAPv3 itp.).

%package -n python3-slapdtest
Summary:	Module for spawning test instances of OpenLDAP's slapd server
Summary(pl.UTF-8):	Moduł do uruchamiania testowych instancji serwera slapd OpenLDAP
Group:		Libraries/Python
Requires:	python3-ldap = %{epoch}:%{version}-%{release}

%description -n python3-slapdtest
Module for spawning test instances of OpenLDAP's slapd server.

%description -n python3-slapdtest -l pl.UTF-8
Moduł do uruchamiania testowych instancji serwera slapd OpenLDAP.

%prep
%setup -q

%build
%if %{with python2}
%py_build %{?with_tests:test}

%if %{with tests}
LDAPNOINIT=1 \
PYTHONPATH=$(echo build-2/lib.linux-*/) \
%{__python} -c "import ldap; print ldap.__version__; ldapo = ldap.initialize('ldap://localhost')"
%endif
%endif

%if %{with python3}
%py3_build %{?with_tests:test}

%if %{with tests}
LDAPNOINIT=1 \
PYTHONPATH=$(echo build-3/lib.linux-*/) \
%{__python3} -c "import ldap; print ldap.__version__; ldapo = ldap.initialize('ldap://localhost')"
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENCE README TODO
%attr(755,root,root) %{py_sitedir}/_ldap.so
%{py_sitedir}/ldapurl.py[co]
%{py_sitedir}/ldif.py[co]
%{py_sitedir}/ldap
%{py_sitedir}/python_ldap-%{version}-py*.egg-info

%files -n python-slapdtest
%defattr(644,root,root,755)
%{py_sitedir}/slapdtest
%endif

%if %{with python3}
%files -n python3-ldap
%defattr(644,root,root,755)
%doc CHANGES LICENCE README TODO
%attr(755,root,root) %{py3_sitedir}/_ldap.cpython-*.so
%{py3_sitedir}/ldap
%{py3_sitedir}/ldapurl.py
%{py3_sitedir}/ldif.py
%{py3_sitedir}/__pycache__/ldapurl.cpython-*.py[co]
%{py3_sitedir}/__pycache__/ldif.cpython-*.py[co]
%{py3_sitedir}/python_ldap-%{version}-py*.egg-info

%files -n python3-slapdtest
%defattr(644,root,root,755)
%{py3_sitedir}/slapdtest
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ldap.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 994547f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4902ef1
- python 3.13 rebuild

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> fd4fb0c
- package slapdtest modules; release 8

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ea5c09b
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c5f8481
- Release 6 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 733c87e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c87d70f
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 6c0b5c4
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 85f3770
- release 2 (by relup.sh)

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 9416199
- updated to 3.3.1

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 5ee2110
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cd32c77
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1482ad7
- release 2 (by relup.sh)

* Sat May 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 03be159
- updated to 3.1.0
- added python3- package

* Wed Mar 08 2017 Jan Rękorajski <baggins@pld-linux.org> d68677d
- up to 2.4.32
- disabled tests (require openldap server)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e5c1bcf
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b7495d2
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3f480fe
- automatic change: use py_build/py_install macros

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 96f980d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 11 2015 Jan Palus <atler@pld-linux.org> 9190ec6
- up to 2.4.19

